POST gls/api/reports/analysis-of-accounts
Request Information
URI Parameters
None.
Body Parameters
AnalysisOfAccountsRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| AccountCodeFrom | string |
None. |
|
| AccountCodeTo | string |
None. |
|
| DateFrom | date |
None. |
|
| DateTo | date |
None. |
|
| IsAsOf | boolean |
None. |
|
| IsForThePeriod | boolean |
None. |
|
| IsDetailed | boolean |
None. |
|
| IsSummarized | boolean |
None. |
|
| OutputToScreen | boolean |
None. |
|
| OutputToPrinter | boolean |
None. |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"accountCodeFrom": "sample string 1",
"accountCodeTo": "sample string 2",
"dateFrom": "2026-04-07T22:27:26.0226143+08:00",
"dateTo": "2026-04-07T22:27:26.0226143+08:00",
"isAsOf": true,
"isForThePeriod": true,
"isDetailed": true,
"isSummarized": true,
"outputToScreen": true,
"outputToPrinter": true,
"userId": 1
}
application/xml, text/xml
Sample:
<AnalysisOfAccountsRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO"> <AccountCodeFrom>sample string 1</AccountCodeFrom> <AccountCodeTo>sample string 2</AccountCodeTo> <DateFrom>2026-04-07T22:27:26.0226143+08:00</DateFrom> <DateTo>2026-04-07T22:27:26.0226143+08:00</DateTo> <IsAsOf>true</IsAsOf> <IsDetailed>true</IsDetailed> <IsForThePeriod>true</IsForThePeriod> <IsSummarized>true</IsSummarized> <OutputToPrinter>true</OutputToPrinter> <OutputToScreen>true</OutputToScreen> <UserId>1</UserId> </AnalysisOfAccountsRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.